authentication
Current Account
GET
/
v1
/
auth
/
me
Current Account
curl --request GET \
--url https://api.aixy-gateway.com/v1/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aixy-gateway.com/v1/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aixy-gateway.com/v1/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"person": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organizations": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"user_id": "<string>",
"role": "<string>",
"authentication_required": "sso"
}
],
"account": {
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"expires_at": "<string>"
},
"expires_at": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organization session token returned by the authentication API.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Current Account
curl --request GET \
--url https://api.aixy-gateway.com/v1/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aixy-gateway.com/v1/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aixy-gateway.com/v1/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"person": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organizations": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"user_id": "<string>",
"role": "<string>",
"authentication_required": "sso"
}
],
"account": {
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"expires_at": "<string>"
},
"expires_at": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}